The v1 API will be sunset on August 21, 2026. Migrate to v2. Read the migration guide →
Paytrie Developer Documentation
API ReferenceApi credits

Get Api Credits

View as Markdown
GET
/apiCredits

Retrieve API credits information including fee credits spent and remaining for the authenticated integrator

Authorization

ApiKeyAuth
x-api-key<token>

API key

In: header

Query Parameters

endDate?string
startDate?string

Header Parameters

x-api-key*string

API key for authentication

Response Body

application/json

curl -X GET "https://example.com/apiCredits" \  -H "x-api-key: string"
{  "data": {    "feeCreditsRemaining": 1000,    "feeCreditsSpent": 500,    "period": {      "endDate": "2024-01-31",      "startDate": "2024-01-01"    },    "sponsoredCompleteTransactions": 20,    "totalCompleteTransactions": 25  },  "message": "API credits retrieved successfully",  "status": "success"}
Empty